F-Secure SAFE for Mac Browsing Protection broken for Firefox v57 (Quantum)

F-Secure SAFE version 17.1 (16230) for macOS Sierra (10.12.6) Browsing Protection extension for Firefox is broken in latest Firefox v57 a.k.a. "Quantum".

It does not fulfill the new Firefox addon requirements and therefore it is marked as "legacy extension"  and disabled by Firefox.

Versions of "Firefox Quantum" have been available in Nightly / Developer channels since early August and in official Beta since late September.

 

Firefox add-on requirements can be found at https://support.mozilla.org/en-US/kb/firefox-add-technology-modernizing

 

See these links for more info:
- https://support.mozilla.org/en-US/kb/firefox-add-technology-modernizing
- https://wiki.mozilla.org/Add-ons/developer/communication
- https://developer.mozilla.org/en-US/Add-ons/WebExtensions

UkkoBenjamiRenba

Comments

  • RenbaRenba Posts: 1

    I have the same problem for about a week. Why hasn't anyone addressed this major issue. Chrome & Safari is working ok

    aripalo
  • LakshLaksh Posts: 4,430 Community Manager

    Hello aripalo and Renba,

     

    We are aware of this. Our Mac team is working on a Browsing Protection version that’s compatible with Firefox 57. As mentioned here, it should be out to Beta testing soon.

This discussion has been closed.